//+------------------------------------------------------------------+
//|                                                    fibo-test.mq4 |
//|                        Copyright 2014, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
#property strict
#property indicator_chart_window

extern color   clrColor       = Red;   
extern int     intWidth       = 1;                     // From 1 (thin) to 5 (thick) 
extern int     intLineStyle   = STYLE_DOT;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  
Comment("");
//----
 
return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----

Comment("");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  //----     
    
  fibo();
  
  //----
   return(0);
  }

//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//| Fibo                                                             |
//+------------------------------------------------------------------+

void fibo() {

   string   strPrefix   =  "Fibo:";
   string   strObjName;
   //string   strObjRef;
   int      intCount    =  0;
   //int      intLimit    =  ObjectsTotal();
   
   int fibHigh = iHighest(Symbol(),Period(),MODE_HIGH,20,1);
   int fibLow  = iLowest(Symbol(),Period(),MODE_LOW,20,1);
     
   datetime highTime = Time[fibHigh];
   datetime lowTime  = Time[fibLow];
   
   strObjName  =  StringConcatenate(strPrefix, intCount);
      
   if(ObjectCreate(strObjName,OBJ_FIBO,0,highTime,High[fibHigh],lowTime,Low[fibLow]))
   {
   ObjectSet(strObjName,OBJPROP_COLOR,clrColor);
   ObjectSet(strObjName,OBJPROP_WIDTH,intWidth);
   ObjectSet(strObjName,OBJPROP_STYLE,intLineStyle);
   ObjectSet(strObjName,OBJPROP_RAY,false);
   ObjectSet(strObjName,OBJPROP_FIBOLEVELS,4);
   ObjectSet(strObjName,OBJPROP_FIRSTLEVEL+0,0.0);
   ObjectSet(strObjName,OBJPROP_FIRSTLEVEL+1,0.50);
   ObjectSet(strObjName,OBJPROP_FIRSTLEVEL+2,1.0);
   ObjectSet(strObjName,OBJPROP_FIRSTLEVEL+3,1.618);
   ObjectSetFiboDescription( strObjName, 0,"%$  --> 0.0%"); 
   ObjectSetFiboDescription( strObjName, 1,"%$ --> 50.0%");
   ObjectSetFiboDescription( strObjName, 2,"%$ --> 100.0%");
   ObjectSetFiboDescription( strObjName, 3,"%$ --> 161.8%");
   intCount++;   
   }

}